Skip to Content
Keko
API reference

Changes

GET
/v1/threads/{threadId}/changes

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Query Parameters

scope?string
Value in"turn""all""uncommitted"
turn?string
Match^\d+$

Response Body

OK

application/json
  1. response
scope*
turn?number
from*string
to*string
files*array<>
added*number
removed*number
branch*string
baseBranch*string
turns*array<>
empty?string
[key: string]?any
Example Request
curl -X GET 'https://engine.keko.run/v1/threads/string/changes'
Example Response
{  "scope": {    "kind": "turn",    "turn": 0  },  "turn": 0,  "from": "string",  "to": "string",  "files": [    {      "path": "string",      "oldPath": "string",      "status": "added",      "added": 0,      "removed": 0,      "binary": true,      "hash": "string"    }  ],  "added": 0,  "removed": 0,  "branch": "string",  "baseBranch": "string",  "turns": [    {      "turn": 0,      "checkpoint": 0,      "at": 0    }  ],  "empty": "string"}
GET
/v1/threads/{threadId}/diff

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Query Parameters

from*string
to*string
path*string
oldPath?string
force?string
Value in"0""1""true""false"

Response Body

OK

application/json
  1. response
path*string
binary*boolean
lines*number
tooLarge?boolean
text*string
[key: string]?any
Example Request
curl -X GET 'https://engine.keko.run/v1/threads/string/diff?from=string&to=string&path=string'
Example Response
{  "path": "string",  "binary": true,  "lines": 0,  "tooLarge": true,  "text": "string"}
POST
/v1/threads/{threadId}/restore

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Request Body

application/json
  1. body
checkpoint*integer
Range0 <= value <= 9007199254740991

Response Body

OK

application/json
  1. response
backup*number
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/restore' \  -H 'Content-Type: application/json' \  -d '{  "checkpoint": 0}'
Example Response
{  "backup": 0}